Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 32 lines (28 sloc) 1.207 kB
1fee0d1 @thedatachef ok, first time here, swineherd should be a gem
thedatachef authored
1 require 'rubygems'
2 require 'rake'
3
4 require 'jeweler'
5 Jeweler::Tasks.new do |gem|
6 # gem is a Gem::Specification... see http://docs.rubygems.org/read/chapter/20 for more options
7 gem.name = "swineherd"
8 gem.homepage = "http://github.com/Ganglion/swineherd"
9 gem.license = "MIT"
10 gem.summary = %Q{Flexible data workflow glue.}
11 gem.description = %Q{Swineherd is for running scripts and workflows on filesystems.}
12 gem.email = "jacob.a.perkins@gmail.com"
13 gem.authors = ["Jacob Perkins"]
14 # Include your dependencies below. Runtime dependencies are required when using your gem,
15 # and development dependencies are only needed for development (ie running rake tasks, tests, etc)
16 # gem.add_runtime_dependency 'jabber4r', '> 0.1'
fa6ce14 @longcao added rspec and watchr stuff
longcao authored
17 gem.add_development_dependency 'rspec', '> 2.7.0'
18 gem.add_development_dependency 'watchr', '> 0.7'
1fee0d1 @thedatachef ok, first time here, swineherd should be a gem
thedatachef authored
19 gem.add_development_dependency "yard", "~> 0.6.0"
20 gem.add_development_dependency "jeweler", "~> 1.5.2"
21 gem.add_development_dependency "rcov", ">= 0"
22 gem.add_dependency 'configliere'
23 gem.add_dependency 'gorillib'
24 gem.add_dependency 'erubis'
25 gem.add_dependency 'right_aws'
26 end
27 Jeweler::RubygemsDotOrgTasks.new
28
29
30 require 'yard'
31 YARD::Rake::YardocTask.new
Something went wrong with that request. Please try again.